cad统计线段长度插件命令_提高工作效率之CAD常用命令(1)

面积&长度计算查询方法

1、用面积命令AREA也可以简化为AA

 c0cacef24ecb18691833896f778fc2fe.png

2、用LIST列表命令

方法一:先选择刚PL框出的线,然后输入LI(或者LIST),空格,跳出如下窗口

方法二:先输入LI空格,选择多段线,再空格,这样也可以。

6ba60aaf2c4c5d28348ca07ec0a63d2c.png

如果下次打开程序时直接跳出文本窗口,输入“filedia”,将值选为1。

3.用特性(快捷键 CTRL+1)

选择多段线即可看在特性中看到长度跟面积,如下图

f3a55752e29a0fd2b08371a4db5c1103.png

4、快捷特性

快捷特性位置

c91231d7dce29f28359b1de0273c0a27.png

打开快捷特性后,当然你选择对象时就会显示出来

c7786e938f285c59739fdbdd9a540fba.png

赠送干货:长度查询小插件及使用案例

附注:本人将此插件源代码放出给大家,仅需要复制黏贴到记事本,另存为《统计线段长度2.0.LSP》

-------------------------------------以下为复制的内容--------------------------------

(princ "\n程序:线段长度插件2.0(开发者:徐博),命令:cd")

(defun C:cd ( / &k1 &ob1 il1 l2 n1 ss)

 (if (null vlax-dump-object) (vl-load-com) )

 (if (setq SS (ssget '((0 ."CIRCLE,ELLIPSE,LINE,*POLYLINE,SPLINE,ARC"))))

 (progn

  (setq i 0 n1 "计算公式:"L1 0)

  (while (setq &k1 (ssname ss i))

   (setq &ob1 (vlax-ename->vla-object &k1) L2 (vlax-curve-getDistAtParam&ob1 (vlax-curve-getEndParam &ob1)))

   (setq L1 (+ L1 L2) L2 (rtos L2))

   (if (= i 0) (setq n1 (strcat n1 L2)) (setq n1 (strcat n1 "+"L2)) )

   (setq i (1+ i))

  );while

  (setq  ;i (1+ i) 

    i (rtos i 2 0 );

   L1 (rtos L1))

  (princ (strcat "\n 插件为你总共选中:"i "条线段"))

  (princ (strcat "\n 插件为你计算总长度是:"L1"mm"))

  (princ (strcat "\n" n1 "mm"))

 )

 )

 (princ)

)

-------------------------------------以上为复制的内容--------------------------------

b79e9fb1285551c2978bd490e16bb8e4.png

第一步:打开CAD,运行“appload”或者"AP"命令加载刚保存的“统计线段长度2.0.lsp”文件

8249fba01f57280ee51527d819fd4b55.png

第二步:屏幕出现:按命令提示“程序:统计线段长度命令:cd”(此处命令cd可以根据自己需要改成自己喜欢的命令,但是注意不要和CAD已有的快捷命令冲突,CAD已有的快捷命令在CAD安装文件夹里的acad.pgp里面查询)然后输入命令cd选择要统计长度的线段即可。

应用实例:

643d633d762841e5e0bdce4784391fcc.png

注意:对于大样比例不为1:1的图纸,SC进行缩小,一般为0.25。

59b5f1100fcabe7429011b7f8037e690.png544b3540d6609e2af9d3aaa6eebbfb76.png

本文篇幅有限,更多专业自动计算案例请自行深入体验。

04609c2003e331bbec7cb3c7fc236193.png

相关资源:cad统计线段长度
表情包
插入表情
评论将由博主筛选后显示,对所有人可见 | 还能输入1000个字符
相关推荐
©️2020 CSDN 皮肤主题: 1024 设计师:白松林 返回首页